Version File Reference
`#include <osgParticle/Export>`

Go to the source code of this file.

## Macros

#define | OSGPARTICLE_VERSION 1

## Functions

OSGPARTICLE_EXPORT const char * | osgParticleGetVersion ()
OSGPARTICLE_EXPORT const char * | osgParticleGetLibraryName ()

## Macro Definition Documentation

## OSGPARTICLE_VERSION

#define OSGPARTICLE_VERSION 1

## Function Documentation

## osgParticleGetLibraryName()

OSGPARTICLE_EXPORT const char * osgParticleGetLibraryName | ( |  | ) |

osgParticleGetLibraryName() returns the library name in human friendly form.

References OSGPARTICLE_EXPORT.

## osgParticleGetVersion()

OSGPARTICLE_EXPORT const char * osgParticleGetVersion | ( |  | ) |

osgParticleGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgParticleGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph Particle library
    #
    AC_CHECK_LIB(osg, osgParticleGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Particle library not found. See http://www.openscenegraph.org)],)

References OSGPARTICLE_EXPORT.